import QtQuick 1.1
import Box2D 1.0

Body {
    id: body

    width: 64*size;
    height: 64*size;

    property real size: 1;
    property real friction: 2;
    property real restitution: 0.03;
    property int gid: 300

    sleepingAllowed: true
    fixedRotation: true;

    fixtures: Box {
        anchors.fill: parent        
        friction: body.friction
        restitution: body.restitution;
    }

    Image {
        anchors.fill: parent
        source: "images/items/box.svg";
        anchors.margins: -1
        smooth: _isFast ? true : false;
        sourceSize {
            width: 128;
            height: 105;
        }
    }
}
