import QtQuick 1.1
import Box2D 1.0

Body {
    id: feet
    width: 28
    height: 29
    rotation: 2
    sleepingAllowed: true;

    property alias group: ff.groupIndex
    property bool rightFeet: true;

    fixtures: Box {
        id: ff
        friction: 0.01;
        density: 0.01;
        restitution: 0;
        anchors.fill: parent
    }

    Image {
        anchors.fill: ff
        source: rightFeet ? "images/otty/leg1.svg" : "images/otty/leg2.svg"
        smooth: false;
    }
}
