import QtQuick 1.1
import Box2D 1.0

Body {
    id: groundPlankBody
    bodyType: Body.Dynamic
    width: 40*size;
    height: 4;

    property real size: 1;
    property int angle: 0
    property int gid: 300

    fixtures: [
        Box {
            id: plank
            friction: 6.0;
            density: 1;
            restitution: 0.1;
            anchors.fill: parent
        }
    ]

    // Use an nice tiling ground image(s) when we have time
    WoodPlank {
        id: j
        anchors.fill: plank;
    }
}
