import QtQuick 1.1
import Box2D 1.0

Body {
    id: platform
    bodyType: Body.Static
    width: 60*size;
    height: 8;

    property real size: 1;
    property int gid: 300

    fixtures: [
        Box {
            id: groundJump
            friction: 30.0;
            density: 2;
            restitution: 0;
            anchors.fill: parent
        }
    ]

    Rectangle {
        anchors.fill: parent;
        color: "#be2c4c"
    }
}
