import QtQuick 1.1

Text {
    property int score: 0
    property int highScore: 0
    property bool displayHighscore: true
    property int size: 34

    id: sb
    color: "#ffffff"
    width: parent.width
    text: displayHighscore ? highScore : score;
    verticalAlignment: Text.AlignVCenter
    horizontalAlignment: Text.AlignHCenter
    font.pixelSize: size
    height: size+2;

    Behavior on opacity { NumberAnimation { easing.type: Easing.InOutQuad; duration: 250 } }
}
