import QtQuick 1.1

Item {
    id: tc;
    width: 80;
    height: width;

    signal pressed();
    signal released();    

    property alias source: tcimage.source
    property bool active: false;

    onActiveChanged: {        
        if (active)
            pressed();
        else
            released();
    }

    Image {
        id: tcimage
        anchors.fill: parent
        sourceSize {
            width: tc.height;
            height: tc.width;
        }
    }
}
