import QtQuick 1.1
import "../bsna/"

/* Desktop */

Item {
    id: main
    width: 800
    height: 480
    property bool active: platformWindow.active;

    onActiveChanged: {
        console.debug("ACTIVE: "+active);
    }

    MainMenu {
        isActive: main.active
        Sfx {
            id: sfx
            sfxVolume: 0.5;
            musicVolume: 0.5;
            muted: true;
        }
    }
}
