import QtQuick 1.1
import Box2D 1.0

Body {
    id: body

    width: 116*size;
    height: 51*size;

    property real size: 1;
    property real friction: 1;
    property real restitution: 0;
    property int gid: 300

    sleepingAllowed: true;

    fixtures: Box {
        anchors.fill: parent
        density: 8;
        friction: body.friction
        restitution: body.restitution;
    }

    Image {
        fillMode: Image.PreserveAspectFit
        anchors.fill: parent
        source: "images/items/blocker.png"
        anchors.margins: -1
        sourceSize {
            width: 232;
            height: 102;
        }
    }
}
