import QtQuick 1.1

Item {
    id: bgGrass

    property bool isStart: true
    property int tileSize: _isFast ? 512 : 256;

    Component {
        id: grassDelegate
        Image {
            //y: 0;
            x: bgGrass.x+(index*width);
            source: getBgImage(index);
            smooth: _isFast ? true : false;
            function getBgImage(i)
            {
                if (isStart) {
                    switch (i) {
                    case 0:
                        return "images/ground/ground1.svg"
                    case 1:
                        return "images/ground/ground2.svg"
                    }
                }
                return "images/ground/ground3.svg"
            }
        }
    }

    Repeater {
        id: bgGrassRep
        model: blocks
        delegate: grassDelegate
        property int blocks: bgGrass.width/256;
    }
}
