import QtQuick 1.1
import Box2D 1.0

Body {
    id: h
    rotation: -30
    width: size;
    height: rightHand ? size/(154/102) : size/(102/47)
    sleepingAllowed: true;

    property bool rightHand: true;
    property alias group: hf.groupIndex
    property real size: 32

    fixtures:
        Box {
        id: hf
        friction: 2;
        density: 1;
        groupIndex: -50
        anchors.fill: parent
    }

    Image {
        anchors.fill: hf
        source: rightHand ? "images/otty/hand1.svg" : "images/otty/hand2.svg"
        smooth: false;
        width: h.width;
    }
}
