import QtQuick 1.1
import Box2D 1.0

Body {
    id: tail
    width: 64
    height: 26
    rotation: 8;
    sleepingAllowed: true;

    property alias group: ff.groupIndex

    fixtures:  Polygon {
        id: ff
        friction: 1;
        density: 0.6;

        vertices: [
            Qt.point(0, 26),
            Qt.point(64, 26),
            Qt.point(64, 0),
        ]
    }

    Image {
        anchors.fill: tail
        source: "images/otty/tail.svg"
        smooth: false;
        sourceSize {
            width: _isFast ? 128 : 52;
            height: _isFast ? 64 : 26;
        }
    }
}
