import QtQuick 1.1

Image {
    source: getTree(type);
    smooth: false
    scale: size;
    height: getTreeHeight(type);
    fillMode: Image.PreserveAspectFit
    sourceSize {
        height: getTreeHeight(type);
    }

    property real size: 1;
    property int type: 1;
  
    function getTree(t)
    {
        return "images/trees/tree"+t+".png"
    }

    function getTreeHeight(t)
    {
        switch (t) {
        case 1:
            return 512;
        case 2:
            return 384;
        case 3:
            return 384;
        }
    }
}
